Subject: Re: [P2PSIP] Group management on top of P2PSIP?

From: Otso Kassinen <[email-masked]>
Date: Mon, 10 Mar 2008 17:05:59 +0200 (EET)

Just a note for everybody interested in the group/community
management topic:

Due to the ongoing IETF meeting and the peer-protocol design discussions,
there is a lot of activity on the P2PSIP mailing list.

Thus, it is probably wise to postpone the group management discussion
a little (at least on this mailing list) so that the topic won't get
"buried" under the other topics.

Regards,
- Otso 
P.S. Unfortunately I was not able to take part in IETF 71.

On Thu, 28 Feb 2008, Otso Kassinen wrote:

>
> Hi Victor and Radhika.
>
>> What do you have in mind?
>
> We should first determine, which is the better approach:
> "a group is an overlay" or "many groups per overlay",
> just as you pointed out. It must be studied, what can be done
> with the communities in these approaches; is there something that
> (for example) restricts group functionality if plain overlays are used.
>
> Group management is often an integral part of P2P environments,
> especially in person-to-person communication systems.
> This kind of protocols can be studied to get ideas for our solution.
>
>> is there any significant difference between (SIP) (sub)domains
>> concept and communities?
>
> I think, groups are more dynamic than a node just belonging to a specific 
> domain, and overlapping of groups is easier (but the concepts are similar).
>
> The "server farm style" concept for reliability and load sharing
> (mentioned by Radhika) seems to emphasize the redundancy of nodes.
> That is clearly related to P2PSIP. However, we are primarily thinking of
> group management where non-redundant nodes - a node per user - are taking
> part in some activity or interest, person to person (e.g. games, IM).
>
> Gallup / questionnaire for those interested in the Community topic:
> * Does anyone have an idea, what existing WG could be suitable for taking
>  the Community idea further?
> * Alternately, if there's no suitable WG, we could consider forming
>  a new WG. This would be quite a big step; if a new WG is started,
>  there should be some broader agenda than just P2PSIP group management.
>  For example, Radhika's idea about peer robustness could be included?
>
> Best regards,
> - Otso
>
> On Wed, 27 Feb 2008, Roy, Radhika R Dr CTR USA USAMC wrote:
>
>> Hi, Victor:
>> 
>> It is an interesting concept: Community.
>> 
>> We like to see this paper.
>> 
>> Best regards,
>> Radhika
>> 
>> PS: We used to think like server farms. A server farm many have many servers 
>> for providing reliability and load sharing purposes. However, the logical 
>> view of the server has been a single server using standardized protocol(s) 
>> to the outside world. The communication within the servers was proprietary.
>> 
>> In the case of "community" concept, I assume, that we can use the similar 
>> concept like that of the server farm. However, there is a difference. Now, 
>> the communications protocols used within a community will be standardized, 
>> as I guess you will be proposing in your draft.
>> 
>> It will extend the P2PSIP concept for making a peer more robust - as I see 
>> it - a "logical" P2PSIP peer will probably NEVER fail because it is a part 
>> of a larger community.
>> 
>> Definitely, it is welcomed to see the concept. If it is needed, we can form 
>> another WG to standadize this "community" P2PSIP protocol.
>> 
>> ----- Original Message -----
>> From: Victor Pascual Ávila
>> Date: Wednesday, February 27, 2008 13:10
>> Subject: Re: [P2PSIP] Group management on top of P2PSIP?
>> To: Otso Kassinen
>> Cc: [email-masked]
>> 
>>> Otso,
>>> 
>>> On Wed, Feb 27, 2008 at 4:31 PM, Otso Kassinen
>>> wrote:
>>>> Has anyone already come up with some ideas or even an
>>> implementation> of a decentralized group-management system on top
>>> of P2PSIP?
>>>> (I searched through the P2PSIP mailing list archives
>>>> and found no mention of group management.)
>>> 
>>> Some time ago, we (Pompeu Fabra University) considered including
>>> 'Community' concept in the P2PSIP terminology.
>>> We can think about 'Community' as a group of nodes (Overlay layer) or
>>> as a group of users (upper application layer, e.g. SIP).
>>> 
>>> What do you have in mind?
>>> 
>>> On the one hand, we considered community/group/whatever as a group of
>>> nodes and our main discussion was about if using a single overlay for
>>> both communities or just using one overlay (routing, storage) for each
>>> community. On the other hand, if we consider community as a group of
>>> users on the top of a single (or many) overlays, is there any
>>> significant difference between (SIP) (sub)domains concept and
>>> communities? I'm not trying to group users into domains, just
>>> suggesting a similar concept.
>>> 
>>> We are preparing a paper on a related topic. It's basically a P2PSIP
>>> live streaming tv platform where users are grouped into
>>> stations/channels. Definitely, it is not in the scope of the P2PSIP
>>> WG.
>>> 
>>> Cheers,
>>> --
>>> Victor Pascual Ávila
>>> Research Engineer
>>> Tel. +34 93 542 2906
>>> Fax. +34 93 542 2517
>>> 
>>> Research Group on Network Technologies and Strategies (NeTS)
>>> Universitat Pompeu Fabra (UPF)
>>> Pg. de Circumval·lació, 8
>>> Office 358
>>> 08003 Barcelona (Spain)
>>> http://nets.upf.edu/
>>> _______________________________________________
>>> P2PSIP mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/p2psip
>>> 
>

_______________________________________________
P2PSIP mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/p2psip